.input_inner_form {
    position: relative;
    z-index: 1;
    display: inline-block;
    /*max-width: 350px;
    width: calc(100% - 1em);*/
    width: 100%;
    vertical-align: top;
}

.input__field {
    position: relative;
    display: block;
    float: right;
    padding: 0.8em;
    width: 60%;
    border: none;
    border-radius: 0;
    background: #f0f0f0;
    color: #aaa;
    font-weight: 400;
    -webkit-appearance: none; /* for box shadows to show on iOS */
}

.input__field:focus {
    outline: none;
}

.input__label {
    display: inline-block;
    float: right;
    padding: 0 1em;
    width: 40%;
    /*color: #9B5592;*/
    font-weight: bold;
    font-size: 1em;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.input__label-content {
    position: relative;
    display: block;
    padding: 1.6em 0;
    width: 100%;
}

.graphic {
    position: absolute;
    top: 0;
    left: 0;
    fill: none;
}

/* Nao */
.input--nao {
    overflow: hidden;
    padding-top: 1em;
    /*padding-left:1em;*/
}

.input__field--nao {
    padding: 0.5em 0em 0.25em;
    width: 100%;
    background: transparent;
    color: #666;
    font-size: 1.25em;
}

.input__label--nao {
    position: absolute;
    top: 0.2em;
    font-size: 1em;
    left: 0;
    display: block;
    width: 100%;
    text-align: left;
    padding: 0em;
    /*padding-left:1em;*/
    pointer-events: none;
    -webkit-transform-origin: 0 0;
    transform-origin: 0 0;
    -webkit-transition: -webkit-transform 0.2s 0.15s, color 1s;
    transition: transform 0.2s 0.15s, color 1s;
    -webkit-transition-timing-function: ease-out;
    transition-timing-function: ease-out;
}

.graphic--nao {
    /*stroke: #9B5592;*/
    pointer-events: none;
    -webkit-transition: -webkit-transform 0.7s, stroke 0.7s;
    transition: transform 0.7s, stroke 0.7s;
    -webkit-transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
    /*padding-left:1em;*/
}

.input__field--nao:focus + .input__label--nao,
.input--filled .input__label--nao {
    color: #333;
    -webkit-transform: translate3d(0, -1.25em, 0) scale3d(0.75, 0.75, 1);
    transform: translate3d(0, -1.25em, 0) scale3d(0.75, 0.75, 1);
}

.input__field--nao:focus ~ .graphic--nao,
.input--filled .graphic--nao {
    stroke: #333;
    -webkit-transform: translate3d(-66.6%, 0, 0);
    transform: translate3d(-66.6%, 0, 0);
}
.input {
    position: relative;
    z-index: 1;
    display: inline-block;
    /*margin: 1em;*/
    /*max-width: 350px;*/
    width:100%;
    vertical-align: top;
}

/*
.input__field {
    position: relative;
    display: block;
    float: right;
    padding: 0.8em;
    width: 60%;
    border: none;
    border-radius: 0;
    background: #f0f0f0;
    color: #aaa;
    font-weight: 400;
    -webkit-appearance: none; */
/* for box shadows to show on iOS *//*

}
*/

.input__field:focus {
    outline: none;
}

/*.input__label {
    display: inline-block;
    float: right;
    padding: 0 1em;
    width: 40%;
    color: #696969;
    font-weight: bold;
    font-size: 70.25%;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}*/

.input__label-content {
    position: relative;
    display: block;
    padding: 1.6em 0;
    width: 100%;
}
.input__label-content_contactus {
    position: relative;
    display: block;
    padding: 0em 0;
    width: 100%;
}

.graphic {
    position: absolute;
    top: 0;
    left: 0;
    fill: none;
}

/* Individual styles */

/* Kozakura */
.input--kozakura {
    overflow: hidden;
    margin-top:1em;
    /*padding-bottom: 1em;*/
}

.input__field--kozakura {
    padding-top:0.25em;
    padding-bottom:0.75em;
    margin-top: 1.5em;
    width: 100%;
    background: transparent;
    color: #2F3238;
    font-size: 1.4em;
    opacity: 0;
    height:100%;
}

.textarea__field--kozakura {
    padding-top:0.25em;
    /*padding-bottom:0.75em;*/
    margin-top: 1.5em;
    width: 100%;
    background: transparent;
    color: #2F3238;
    font-size: 1.4em;
    opacity: 0;
    height:100%;
    resize:none;
}

.input__label--kozakura {
    width: 100%;
    text-align: left;
    position: absolute;
    top: -0.3em;
    pointer-events: none;
    overflow: hidden;
    padding: 0 0.25em;
    -webkit-transform: translate3d(1em, 2.75em, 0);
    transform: translate3d(1em, 2.75em, 0);
    -webkit-transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
}

.textarea__label--kozakura {
    width: 100%;
    text-align: left;
    position: absolute;
    top: -0.3em;
    pointer-events: none;
    overflow: hidden;
    padding: 0 0.25em;
    -webkit-transform: translate3d(1em, 2.75em, 0);
    transform: translate3d(1em, 2.75em, 0);
    -webkit-transition: -webkit-transform 0.3s;
    transition: transform 0.3s;
    color: #fff;
}

.input__label-content--kozakura::after {
    content: attr(data-content);
    position: absolute;
    font-weight: 800;
    top: 100%;
    left: 0;
    height: 100%;
    width: 100%;
    color: #000;
    padding: 0.25em 0;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-size: 0.85em;
}

/*.graphic--kozakura {
    fill: #494E57;
    pointer-events: none;
    top: 0.5em;
    bottom: 0.5px;
    height: 100%;
	width: 300%;
    z-index: -1;
    -webkit-transition: -webkit-transform 0.7s, fill 0.7s;
    transition: transform 0.7s, fill 0.7s;
    -webkit-transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
}*/
.graphic--kozakura {
    fill: #494E57;
    pointer-events: none;
    top: 1em;
    bottom: 0px;
    height: 4.5em;
    z-index: -1;
    -webkit-transition: -webkit-transform 0.7s, fill 0.7s;
    transition: transform 0.7s, fill 0.7s;
    -webkit-transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
}

.graphic__multiline--kozakura {
    fill: #494E57;
    pointer-events: none;
    top: -1em;
    bottom: 0.5px;
    height: 100%;
    width: 300%;
    z-index: -1;
    -webkit-transition: -webkit-transform 0.7s, fill 0.7s;
    transition: transform 0.7s, fill 0.7s;
    -webkit-transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
    transition-timing-function: cubic-bezier(0, 0.25, 0.5, 1);
}

.input__field--kozakura:focus,
.input--filled .input__field--kozakura {
    -webkit-transition: opacity 0s 0.35s;
    transition: opacity 0s 0.35s;
    opacity: 1;
}

.input__field--kozakura:focus + .input__label--kozakura,
.input--filled .input__label--kozakura {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
}

.input__field--kozakura:focus + .input__label--kozakura .input__label-content--kozakura,
.input--filled .input__label-content--kozakura {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
}

.input__field--kozakura:focus ~ .graphic--kozakura,
.input--filled .graphic--kozakura {
    fill: #fff;
    -webkit-transform: translate3d(-66.6%, 0, 0);
    transform: translate3d(-66.6%, 0, 0);
}

.textarea__field--kozakura:focus,
.input--filled .textarea__field--kozakura {
    -webkit-transition: opacity 0s 0.35s;
    transition: opacity 0s 0.35s;
    opacity: 1;
}

.textarea__field--kozakura:focus + .textarea__label--kozakura,
.input--filled .textarea__label--kozakura {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
    -webkit-transform: translate3d(0, 0, 0);
    transform: translate3d(0, 0, 0);
    color: #000;
}

.textarea__field--kozakura:focus + .textarea__label--kozakura .textarea__label-content--kozakura,
.input--filled .textarea__label-content--kozakura {
    -webkit-transition-delay: 0.15s;
    transition-delay: 0.15s;
    -webkit-transform: translate3d(0, -100%, 0);
    transform: translate3d(0, -100%, 0);
}

.textarea__field--kozakura:focus ~ .graphic__multiline--kozakura,
.input--filled .graphic__multiline--kozakura {
    fill: #fff;
    -webkit-transform: translate3d(-66.6%, 0, 0);
    transform: translate3d(-66.6%, 0, 0);
}